# Class MinilinksLink<Ref>

#### Type Parameters

- Ref extends Id

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:132

#####
Index

### Constructors

constructor

### Properties

_applies
_from_id?
_id
_namespaces
_to_id?
_type_id
id
ml?
number?
object?
string?

### Accessors

displayId
from
from_id
in
inByType
name
out
outByType
symbol
to
to_id
type
type_id
typed
value

### Methods

is
toPlain
toString
travel
valueOf

##
Constructors

### constructor

- new MinilinksLink<Ref>(link): MinilinksLink<Ref>

- #### Type Parameters

  - Ref extends Id

  #### Parameters

  - link: any

  #### Returns MinilinksLink<Ref>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:219

##
Properties

### _applies

_applies: string[] = []

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:217

### `Optional`_from_id

_from_id?: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:137

### _id

_id: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:134

### _namespaces

_namespaces: string[] = []

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:218

### `Optional`_to_id

_to_id?: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:138

### _type_id

_type_id: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:136

### id

id: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:135

### `Optional` ml

ml?: MinilinkCollection<any, any>

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:133

### `Optional` number

number?: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:215

### `Optional` object

object?: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:216

### `Optional` string

string?: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:214

##
Accessors

### displayId

- get displayId(): Id

- #### Returns Id

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:193

### from

- get from(): Links<Id, Link<Id>>

- #### Returns Links<Id, Link<Id>>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:187

### from_id

- get from_id(): Ref

- #### Returns Ref

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:142
- set from_id(id): void

- #### Parameters

  - id: Ref

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:151

### in

- get in(): Links<Id, Link<Id>>

- #### Returns Links<Id, Link<Id>>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:163

### inByType

- get inByType(): {
  [key: string]: Links<Id, Link<Id>>;
  }

- #### Returns {
  [key: string]: Links<Id, Link<Id>>;
  }

  - ##### [key: string]: Links<Id, Link<Id>>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:166

### name

- get name(): string

- #### Returns string

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:199

### out

- get out(): Links<Id, Link<Id>>

- #### Returns Links<Id, Link<Id>>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:175

### outByType

- get outByType(): {
  [key: string]: Links<Id, Link<Id>>;
  }

- #### Returns {
  [key: string]: Links<Id, Link<Id>>;
  }

  - ##### [key: string]: Links<Id, Link<Id>>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:178

### symbol

- get symbol(): string

- #### Returns string

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:202

### to

- get to(): Links<Id, Link<Id>>

- #### Returns Links<Id, Link<Id>>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:190

### to_id

- get to_id(): Ref

- #### Returns Ref

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:145
- set to_id(id): void

- #### Parameters

  - id: Ref

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:154

### type

- get type(): Links<Id, Link<Id>>

- #### Returns Links<Id, Link<Id>>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:160

### type_id

- get type_id(): Ref

- #### Returns Ref

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:139
- set type_id(id): void

- #### Parameters

  - id: Ref

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:148

### typed

- get typed(): Links<Id, Link<Id>>

- #### Returns Links<Id, Link<Id>>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:157

### value

- get value(): any

- #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:196

##
Methods

### is

- is(query): boolean

- #### Parameters

  - query: QueryLink

  #### Returns boolean

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:241

### toPlain

- toPlain(): LinkPlain<Ref>

- #### Returns LinkPlain<Ref>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:238

### toString

- toString(): string

- #### Returns string

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:208

### travel

- travel(query?): Traveler

- #### Parameters

  - `Optional` query: Exp

  #### Returns Traveler

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:205

### valueOf

- valueOf(): any

- #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:211